This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535430 - (RHQ-2126) change dynagroup backend to use availability precompute data
change dynagroup backend to use availability precompute data
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 15:01 EDT by Joseph Marques
Modified: 2009-08-17 16:37 EDT (History)
0 users

See Also:
Fixed In Version: 1.3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2009-06-02 15:01:00 EDT
from http://jira.rhq-project.org/browse/RHQ-965 -- ExpressionEvaluator uses a join to the rhq_availability table where endtime is null to find the latest availability for each resource.

a few months after that was implemented, we added precomputation of the current availability for a resource.  we should be using that for dynagrouping purposes, as it requires only a fraction of the cost to calculate.
Comment 1 Joseph Marques 2009-06-02 15:10:25 EDT
rev4019 - swtich dyangorup implementation to use currentAvailability precompute column instad of hitting the rhq_availability where endtime is null condition; 
Comment 2 Charles Crouch 2009-06-02 15:33:53 EDT
Need to test this on a large inventory (100k resources) with a dyna group such as "show me all down resources" and "show me all up resources" recalculating every minute.
Comment 3 Joseph Marques 2009-06-02 21:26:29 EDT
branches/RHQ_1_2_0_GA_CP: rev4024 - swtich dyangorup implementation to use currentAvailability precompute column instad of hitting the rhq_availability where endtime is null condition;
Comment 4 Corey Welton 2009-08-17 16:37:37 EDT
[16:32] <joseph> you can test it by just creating an availability based expression
[16:32] <joseph> resource.availability = UP
[16:32] <joseph> resource.availability = DOWN
[16:32] <joseph> groupby resource.availability
[16:33] <joseph> if those work correctly, then it's verified

QA Verified.
Comment 5 Red Hat Bugzilla 2009-11-10 15:58:21 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2126

Note You need to log in before you can comment on or make changes to this bug.